summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2013-02-20 05:02:47 (GMT)
committer Robby Workman <rworkman@slackbuilds.org>2013-02-23 04:27:47 (GMT)
commit18b442c44cd27bcbb95e75a50f61a731015005a0 (patch)
treefae5cab06f07fdc1422ad18d7354f33c3c8f5a21
parentca3d9c6f1ce13f455922510371ef4781bb5347ff (diff)
downloadslackbuilds-18b442c44cd27bcbb95e75a50f61a731015005a0.tar.gz
multimedia/xbmc: Updated for version 12.0.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--multimedia/xbmc/README16
-rw-r--r--multimedia/xbmc/patches/cwiid-old-api.patch16
-rw-r--r--multimedia/xbmc/patches/non-sse2-cpu.patch21
-rw-r--r--multimedia/xbmc/patches/sse2.patch12
-rw-r--r--multimedia/xbmc/patches/system-includes.patch19
-rw-r--r--multimedia/xbmc/xbmc.SlackBuild88
-rw-r--r--multimedia/xbmc/xbmc.info12
7 files changed, 115 insertions, 69 deletions
diff --git a/multimedia/xbmc/README b/multimedia/xbmc/README
index 2178e32..9bf5391 100644
--- a/multimedia/xbmc/README
+++ b/multimedia/xbmc/README
@@ -6,21 +6,19 @@ XBMC has a sophisticated library management system that allows you to
organize all your media to give you quick and immediate access.
Optional dependencies are: libcec, pulseaudio, libbluray, libnfs,
-libdvdcss, vobcopy, lirc, cwiid, pybluez, id3lib, libvdpau, rtmpdump,
-libmicrohttpd, libva, avahi, ffmpeg
-
-Optional: afpfs-ng is also an optional build time requirement but
-doesn't get picked up by xbmc due to lack of afpfs-ng header files.
+libdvdcss, lirc, cwiid, pybluez, id3lib, libvdpau, rtmpdump, afpfs-ng,
+libmicrohttpd, libva, avahi, lame, ffmpeg
Optional: libcrystalhd and shairpoint (not available at slackbuilds.org)
Below are some paramaters that can be passed to the slackbuild to turn
on some optional components.
-EXT_FFMPEG=yes|no (Default is no), requires ffmpeg
-USE_WII=yes|no (Default is no), requires cwiid and pybluez
+FFMPEG=yes|no (Default is no), requires ffmpeg
+WII=yes|no (Default is no), requires cwiid and pybluez
WEBSERVER=yes|no (Default is no), requires libmicrohttpd
+PULSE=yes|no (Default is no), requires pulseaudio
Note: The use of external ffmpeg is discouraged by the XBMC developers.
-A patch is provided so XBMC can be built against newer ffmpeg. However,
-this patch is NOT fully tested.
+
+PVR information: http://wiki.xbmc.org/index.php?title=PVR
diff --git a/multimedia/xbmc/patches/cwiid-old-api.patch b/multimedia/xbmc/patches/cwiid-old-api.patch
new file mode 100644
index 0000000..a9cb443
--- /dev/null
+++ b/multimedia/xbmc/patches/cwiid-old-api.patch
@@ -0,0 +1,16 @@
+diff -Naur xbmc-12.0.orig/tools/EventClients/Clients/WiiRemote/CWIID_WiiRemote.cpp xbmc-12.0/tools/EventClients/Clients/WiiRemote/CWIID_WiiRemote.cpp
+--- xbmc-12.0.orig/tools/EventClients/Clients/WiiRemote/CWIID_WiiRemote.cpp 2013-01-29 14:20:27.000000000 +0000
++++ xbmc-12.0/tools/EventClients/Clients/WiiRemote/CWIID_WiiRemote.cpp 2013-02-02 23:13:08.422456751 +0000
+@@ -100,9 +100,11 @@
+ g_WiiRemote.ProcessNunchuck(mesg[i].nunchuk_mesg);
+ break;
+ case CWIID_MESG_ACC:
+- case CWIID_MESG_BALANCE:
+ case CWIID_MESG_CLASSIC:
++#ifndef CWIID_OLD
++ case CWIID_MESG_BALANCE:
+ case CWIID_MESG_MOTIONPLUS:
++#endif
+ //Not implemented
+ break;
+ case CWIID_MESG_UNKNOWN:
diff --git a/multimedia/xbmc/patches/non-sse2-cpu.patch b/multimedia/xbmc/patches/non-sse2-cpu.patch
deleted file mode 100644
index ebf927c..0000000
--- a/multimedia/xbmc/patches/non-sse2-cpu.patch
+++ /dev/null
@@ -1,21 +0,0 @@
-diff -Naur xbmc-11.0-Eden_beta1.orig/lib/libsquish/Makefile.in xbmc-11.0-Eden_beta1/lib/libsquish/Makefile.in
---- xbmc-11.0-Eden_beta1.orig/lib/libsquish/Makefile.in 2011-12-23 03:12:21.000000000 +0000
-+++ xbmc-11.0-Eden_beta1/lib/libsquish/Makefile.in 2012-01-02 20:14:20.792407216 +0000
-@@ -15,7 +15,7 @@
- ifeq ($(findstring powerpc,$(ARCH)),powerpc)
- CXXFLAGS+=-DSQUISH_USE_ALTIVEC=1 -maltivec
- else ifeq ($(findstring x86,$(ARCH)), x86)
-- CXXFLAGS+=-DSQUISH_USE_SSE=2 -msse2
-+ CXXFLAGS+=-DSQUISH_USE_SSE=1 -msse
- endif
-
- LIB=libsquish.a
-@@ -30,7 +30,7 @@
- ifeq ($(findstring osx,$(ARCH)),osx)
- g++ -m32 -DSQUISH_USE_SSE=2 -msse2 -I. $(SRCS) -dynamiclib -install_name `pwd`/libsquish-native.so -o $@
- else
-- g++ -DSQUISH_USE_SSE=2 -msse2 -I. $(SRCS) -shared -fPIC -Wl,-soname,`pwd`/libsquish-native.so -o $@
-+ g++ -DSQUISH_USE_SSE=1 -msse -I. $(SRCS) -shared -fPIC -Wl,-soname,`pwd`/libsquish-native.so -o $@
- endif
- endif
-
diff --git a/multimedia/xbmc/patches/sse2.patch b/multimedia/xbmc/patches/sse2.patch
new file mode 100644
index 0000000..d9b730e
--- /dev/null
+++ b/multimedia/xbmc/patches/sse2.patch
@@ -0,0 +1,12 @@
+diff -Naur Git-xbmc.orig/lib/libsquish/config Git-xbmc/lib/libsquish/config
+--- Git-xbmc.orig/lib/libsquish/config 2012-11-18 14:14:35.000000000 +0000
++++ Git-xbmc/lib/libsquish/config 2012-12-07 02:54:22.864062271 +0000
+@@ -4,7 +4,7 @@
+ USE_ALTIVEC ?= 0
+
+ # define to 1 to use SSE2 instructions
+-USE_SSE ?= 0
++USE_SSE ?= 1
+
+ # default flags
+ CXXFLAGS ?= -O2
diff --git a/multimedia/xbmc/patches/system-includes.patch b/multimedia/xbmc/patches/system-includes.patch
deleted file mode 100644
index 8c076b3..0000000
--- a/multimedia/xbmc/patches/system-includes.patch
+++ /dev/null
@@ -1,19 +0,0 @@
-diff -Naur xbmc-11.0-Eden_beta1.orig/Makefile.include.in xbmc-11.0-Eden_beta1/Makefile.include.in
---- xbmc-11.0-Eden_beta1.orig/Makefile.include.in 2011-12-23 03:12:21.000000000 +0000
-+++ xbmc-11.0-Eden_beta1/Makefile.include.in 2012-01-02 22:07:34.114048145 +0000
-@@ -32,7 +32,6 @@
- CXXFLAGS+=@CXXFLAGS@
- CFLAGS+=@CFLAGS@
- LDFLAGS+=@LDFLAGS@
--INCLUDES+=$(sort @INCLUDES@)
- INCLUDES+=-I@abs_top_srcdir@/lib
- INCLUDES+=-I@abs_top_srcdir@/xbmc
- ifneq (@USE_EXTERNAL_FFMPEG@,1)
-@@ -40,6 +39,7 @@
- endif
- INCLUDES+=-I@abs_top_srcdir@/xbmc/linux
- INCLUDES+=-I@abs_top_srcdir@/xbmc/cores/dvdplayer
-+INCLUDES+=$(sort @INCLUDES@)
- DEFINES+= \
- @ARCH_DEFINES@ \
- -D_FILE_DEFINED \
diff --git a/multimedia/xbmc/xbmc.SlackBuild b/multimedia/xbmc/xbmc.SlackBuild
index 2c37f3b..952d3cf 100644
--- a/multimedia/xbmc/xbmc.SlackBuild
+++ b/multimedia/xbmc/xbmc.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for XBMC
-# Copyright 2009-2012 Larry Hajali <larryhaja[at]gmail[dot]com>
+# Copyright 2009-2013 Larry Hajali <larryhaja[at]gmail[dot]com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=xbmc
-VERSION=11.0
+VERSION=${VERSION:-12.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -62,6 +62,8 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
+tar xvf $CWD/taglib-1.8.tar.gz
+tar xvf $CWD/$PRGNAM-pvr-addons-$VERSION-Frodo.tar.gz || tar xvf $CWD/$VERSION-Frodo.tar.gz
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -69,13 +71,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Let's get rid of the lsb_release dependency. May not be needed for 11.0.
-sed -i 's|lsb_release -d|cat /etc/slackware-version|' \
- xbmc/utils/SystemInfo.cpp
-
-# Fix for non-sse2 cpu's.
-if ! grep 'sse2' /proc/cpuinfo 2>&1 > /dev/null; then
- patch -p1 < $CWD/patches/non-sse2-cpu.patch
+# Fix for sse2 cpu's.
+if grep 'sse2' /proc/cpuinfo 2>&1 > /dev/null; then
+ patch -p1 < $CWD/patches/sse2.patch
fi
# Patch for building against rtmpdump. Only needed if xbmc fails to build
@@ -83,12 +81,17 @@ fi
# http://slaxbmc.blogspot.com/2011/03/23-install-xbmc-from-source.html
patch -p1 < $CWD/patches/xbmc-rtmpdump-build.patch
+# Hack for using afpfs-ng.
+cat lib/afpfs-ng/fix_afpfs-ng_includes.patch | head -1336 | tail -1172 | patch -p1
+AFPFS_NGFLAGS="-I$PWD/include"
+
# Build external ffmpeg.
-if [ "${EXT_FFMPEG:-no}" == "yes" ]; then
+if [ "${FFMPEG:-no}" == "yes" ]; then
OPT_DEPS="--enable-external-ffmpeg"
- patch -p1 < $CWD/patches/system-includes.patch
+ OPT_DEPS_ADDONS="--enable-external-ffmpeg"
else
OPT_DEPS="--disable-external-ffmpeg"
+ OPT_DEPS_ADDONS="--disable-external-ffmpeg"
fi
# Build webserver. Requires libmicrohttpd.
@@ -98,8 +101,50 @@ else
OPT_DEPS="$OPT_DEPS --disable-webserver"
fi
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
+# Use pulseaudio.
+if [ "${PULSE:-no}" == "yes" ]; then
+ OPT_DEPS="$OPT_DEPS --enable-pulse"
+fi
+
+# XBMC requires taglib >= 1.8. Slackware 14.0 comes with taglib 1.7.2.
+# We are going to build a static version of taglib for XBMC.
+cd taglib-1.8
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+ -DENABLE_STATIC=ON \
+ -DLIB_SUFFIX="${LIBDIRSUFFIX}" \
+ -DWITH_MP4=ON \
+ -DWITH_ASF=ON \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release .
+
+ make VERBOSE=1
+ make install DESTDIR=$PWD
+cd ..
+
+# Build the pvr addons.
+cd $PRGNAM-pvr-addons-$VERSION-Frodo
+ ./bootstrap
+ CFLAGS="$SLKCFLAGS $AFPFS_NGFLAGS" \
+ CXXFLAGS="$SLKCFLAGS $AFPFS_NGFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX}/xbmc/addons \
+ $OPT_DEPS_ADDONS \
+ --enable-release \
+ --enable-addons-with-dependencies=yes \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+ make
+cd ..
+
+TAGLIB_CFLAGS="-I$PWD/taglib-1.8/usr/include" \
+TAGLIB_LIBS="-L$PWD/taglib-1.8/usr/lib${LIBDIRSUFFIX} -ltag" \
+LDFLAGS="-L$PWD/taglib-1.8/usr/lib${LIBDIRSUFFIX} -ltag" \
+CFLAGS="$SLKCFLAGS $AFPFS_NGFLAGS" \
+CXXFLAGS="$SLKCFLAGS $AFPFS_NGFLAGS" \
./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
@@ -111,6 +156,7 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-mid \
--enable-goom \
--enable-ffmpeg-libvorbis \
+ --enable-alsa \
--disable-asap-codec \
$OPT_DEPS \
--enable-external-libraries \
@@ -119,12 +165,20 @@ CXXFLAGS="$SLKCFLAGS" \
make
# Wii controller usage. Default is no.
-if ! [ "${USE_WII:-no}" = "no" ]; then
+if ! [ "${WII:-no}" = "no" ]; then
+ # SBO comes with latest release version of CWIID, which is 5 years old.
+ # Two options have been deactivated because they are not available in
+ # release version of cwiid.
+ patch -p1 < $CWD/patches/cwiid-old-api.patch
make eventclients DESTDIR=$PKG WII_EXTRA_OPTS="-DCWIID_OLD"
+ find $PKG/usr/lib${LIBDIRSUFFIX}/python* -iname "*\.py" -exec chmod 0644 '{}' \;
fi
make install DESTDIR=$PKG
+# Remove *.in files from the pvr addons.
+find $PKG -name "*\.in" -exec rm -f '{}' \;
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -136,14 +190,16 @@ do
install -m 0644 docs/manpages/$i $PKG/usr/man/man1/$i
done
-if ! [ "${USE_WII:-no}" = "no" ]; then
+if ! [ "${WII:-no}" = "no" ]; then
for i in xbmc-j2meremote.1 xbmc-ps3remote.1 xbmc-wiiremote.1; do
install -m 0644 docs/manpages/$i $PKG/usr/man/man1/$i
done
fi
gzip -9 $PKG/usr/man/man?/*.?
-cp -a tools/EventClients/README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ tools/EventClients/README.txt $PRGNAM-pvr-addons-$VERSION-Frodo/COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
rm -f $PKG/usr/share/xbmc/{README.linux,LICENSE.GPL,*.txt}
diff --git a/multimedia/xbmc/xbmc.info b/multimedia/xbmc/xbmc.info
index 8f8f9b5..ae127c3 100644
--- a/multimedia/xbmc/xbmc.info
+++ b/multimedia/xbmc/xbmc.info
@@ -1,10 +1,14 @@
PRGNAM="xbmc"
-VERSION="11.0"
+VERSION="12.0"
HOMEPAGE="http://xbmc.org/"
-DOWNLOAD="http://mirrors.xbmc.org/releases/source/xbmc-11.0.tar.gz"
-MD5SUM="9e8a26ee25173c7268abea7f1d82d428"
+DOWNLOAD="http://mirrors.xbmc.org/releases/source/xbmc-12.0.tar.gz \
+ https://github.com/opdenkamp/xbmc-pvr-addons/archive/12.0-Frodo.tar.gz \
+ http://github.com/downloads/taglib/taglib/taglib-1.8.tar.gz"
+MD5SUM="a79128b9d094a046947bfd9bb4550809 \
+ dcb8bd1b756f2843e18b1fdf3aaeee15 \
+ 4a1020b1a890e26505da7cc9afef1cea"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="libass libmpeg2 libmodplug yajl"
+REQUIRES="%README% jdk libass libmpeg2 libmodplug yajl tinyxml"
MAINTAINER="Larry Hajali"
EMAIL="larryhaja[at]gmail[dot]com"